Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008862TestLinkRequirement to Test Case Assignmentpublic2020-02-10 05:072020-05-09 14:42
Reporterveenone 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSMicrosoft Windows ServerOS Version2016
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.20_fixed 
Summary0008862: DB Access Error - error on exec_query()
DescriptionDB error when assigning a test case which in Inactive state to a requirement.
Steps To Reproduce- set testcase to desactivate (ACTIVATE > INACTIVE)
- link test case to requirement
- select target requirement
- click assign
- error displayed in the window
Additional Informationoutput in browser :
 
==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query( /* Class:requirement_mgr - Method: assign_to_tcase */ SELECT req_id,testcase_id,req_version_id,tcversion_id FROM req_coverage WHERE req_version_id IN (65548) AND tcversion_id = , -1) called at [C:\wamp64\www\testlink\lib\functions\database.class.php:637]
#1 database->fetchRowsIntoMap( /* Class:requirement_mgr - Method: assign_to_tcase */ SELECT req_id,testcase_id,req_version_id,tcversion_id FROM req_coverage WHERE req_version_id IN (65548) AND tcversion_id = , req_version_id) called at [C:\wamp64\www\testlink\lib\functions\requirement_mgr.class.php:1124]
0000002 requirement_mgr->assign_to_tcase(65547, 10205, 21) called at [C:\wamp64\www\testlink\lib\requirements\reqTcAssign.php:250]
0000003 doSingleTestCaseOperation(database Object ([db] => ADODB_postgres8 Object ([databaseType]
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres 10
Browserchrome/ie
PHP Version7.1.22
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon modify test_on testlink_1920 .PNG [^] (55,641 bytes) 2020-04-24 09:07


png file icon mantis_0008862.png [^] (50,735 bytes) 2020-05-05 10:26

- Relationships

-  Notes
(0029471)
fman (administrator)
2020-02-10 11:34

please do not add a note with this amount of text, is impossible to manage
(0029472)
fman (administrator)
2020-02-10 11:35

get branch testlink_1_9_20_fixed from github, do fresh install, retest and provide feedback
(0029599)
veenone (reporter)
2020-04-20 05:56

I just cloned the latest testlink__1_9_20_fixed from github, but now I don't see the desactivate button in the test case view
(0029621)
fman (administrator)
2020-04-23 19:29

please provide details to reproduce
user role is critic
(0029626)
veenone (reporter)
2020-04-24 09:11

I have attached the screenshot
the details on the steps :
1. user as admin
2. create new testplan, testcase, requirement specifications
3. links them
4. then when I wanted to desactivate the test case, but no button there
(0029631)
fman (administrator)
2020-04-24 10:13

thanks, going to try to reproduce with PUBLIC test project, PUBLIC test plan.
(0029640)
fman (administrator)
2020-04-30 17:55

confirmed
(0029641)
fman (administrator)
2020-04-30 18:39

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/788b94acfdf0fa414d3bc351438aef94dfb6e505 [^]
(0029657)
veenone (reporter)
2020-05-05 10:31

side issue has been confirmed to be solved - deactivate button is back.

Now coming back to the initial issue,
I have uploaded the snapshot for it.

To reproduce :
1. user as admin
2. create new testplan, testcase, requirement specifications
3. now from test specification page, select a test case
4. deactivate the test case
5. select attach requirement link (as marked in the attachment)
6. pop up will show up
7. select available requirement, check
8. click assign
9. error message will show up.
10. running the same step with test case status activated will progress normally
(0029658)
fman (administrator)
2020-05-05 12:26

OK, now, fortunately, the steps are more detailed => the issue seems related to link or not to an active/inactive test case version.
This information was missing in original report => impossible to reproduce and time used fruitlessly from developers side
(0029662)
veenone (reporter)
2020-05-06 03:04

Hi fman,

sorry on the initial unclear report.
so regarding this, since it's related to link, I think the error page can be replaced with more informative page to mention the fault
(0029663)
fman (administrator)
2020-05-06 07:32

Dear user:
the error is an exception and as you know it's not always possible to add better messages.
This anyway can not move the focus outside of the main problem:
Issue reporting needs to be as much detailed as possible because guessing on the developer's side is time-consuming and error-prone. And this is not something I've invented by myself, but is written in tons of documents in the Internet regarding the art of issue reporting,
(0029677)
fman (administrator)
2020-05-09 14:42

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/b798b66f840e0b4c8b4067b12cc6af8d5ad99ff4 [^]

- Issue History
Date Modified Username Field Change
2020-02-10 05:07 veenone New Issue
2020-02-10 11:34 fman Note Added: 0029471
2020-02-10 11:34 fman QA Team - Task Workflow Status => TBD
2020-02-10 11:34 fman Additional Information Updated View Revisions
2020-02-10 11:35 fman Note Added: 0029472
2020-02-10 11:35 fman Assigned To => fman
2020-02-10 11:35 fman Status new => feedback
2020-04-20 05:56 veenone Note Added: 0029599
2020-04-20 05:56 veenone Status feedback => assigned
2020-04-23 19:29 fman Note Added: 0029621
2020-04-23 19:30 fman Status assigned => feedback
2020-04-24 09:07 veenone File Added: modify test_on testlink_1920 .PNG
2020-04-24 09:11 veenone Note Added: 0029626
2020-04-24 09:11 veenone Status feedback => assigned
2020-04-24 10:13 fman Note Added: 0029631
2020-04-30 17:55 fman Note Added: 0029640
2020-04-30 18:39 fman Note Added: 0029641
2020-04-30 18:39 fman Status assigned => resolved
2020-04-30 18:39 fman Fixed in Version => 1.9.20_fixed
2020-04-30 18:39 fman Resolution open => fixed
2020-05-05 10:26 veenone File Added: mantis_0008862.png
2020-05-05 10:31 veenone Note Added: 0029657
2020-05-05 12:26 fman Note Added: 0029658
2020-05-06 03:04 veenone Note Added: 0029662
2020-05-06 07:32 fman Note Added: 0029663
2020-05-09 14:42 fman Note Added: 0029677



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker